--[[
	##AddOn	: SplitItems (On-the-Fly) Merchant
	##Subfile	: main.lua
	##Author  : Hati ( xhatix on wowace.com )
--]]
local SI = SplitItemsOTF
if not SI then return end

function SI:CURSOR_UPDATE()
    local holds,index = GetCursorInfo()
    if holds=='merchant' then
        SI.handling,SI.buyIndex = 'merchant',index
        SI.count=GetMerchantItemMaxStack(index)
        SI.splitn=0
        SI.Cursor:SetSplitText(0)
        SI.Cursor:EnableMouseWheel(1)
    elseif not holds and not index and SI.buyIndex and not SI.purchasing and not SI.IsScrolling then
        SI.purchasing=true
        SI.Cursor:EnableMouseWheel(0)
        if SI.splitn ~=0 then
            BuyMerchantItem(SI.buyIndex,SI.splitn)
        end
        SI.Cursor:SetSplitText()
        SI.buyIndex = nil
        SI.purchasing=false
    end
end


function SI:MERCHANT_SHOW()
    SI.eventHandler:RegisterEvent("CURSOR_UPDATE")
end

function SI:MERCHANT_CLOSED()
    SI.eventHandler:UnregisterEvent("CURSOR_UPDATE")
end
SI.eventHandler:RegisterEvent('MERCHANT_SHOW')
SI.eventHandler:RegisterEvent('MERCHANT_CLOSED')

